#pragma once

#include <QDialog>

namespace Ui
{
	class QtSimulationGeoSARSigma0DialogClass;
}


class QtSimulationGeoSARSigma0Dialog : public QDialog
{
	Q_OBJECT

public:
	QtSimulationGeoSARSigma0Dialog(QWidget *parent = nullptr);
	~QtSimulationGeoSARSigma0Dialog();



	// 根据QtSimulationGeoSARSigma0DialogClass种的控件，声明相应的槽函数
public slots:
	void onpushButtonIncAngleRasterClicked(bool);
	void onpushButtonLandClsRasterClicked(bool);
	void onpushButtonClsWeightRasterClicked(bool);
	void onpushButtonOutputTerrianRasterClicked(bool);
	void onpushButtonOutputClsSARRasterClicked(bool);
	void onbtnaccepted();
	void onbtnrejected();

private:
	Ui::QtSimulationGeoSARSigma0DialogClass* ui;
};
